%define major 2
%define libname %mklibname gexiv2_ %major
%define develname %mklibname -d gexiv2

Summary:	A GObject-based wrapper around the Exiv2 library
Name:		libgexiv2
Version:	0.6.1
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Libraries
Source0:	http://yorba.org/download/gexiv2/0.6/%{name}_%{version}.tar.xz
Patch1:		libgexiv2-0.5.0-link.patch
Url:		http://trac.yorba.org/wiki/gexiv2
BuildRequires:	%{_lib}exiv2-devel >= 0.21
BuildRequires:	glib2-devel
BuildRequires:	libtool
BuildRequires:	sed

%description
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n %libname
Summary: A GObject-based wrapper around the Exiv2 library
Group: System/Libraries

%description -n %libname
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n %develname
Group: Development/C
Summary: A GObject-based wrapper around the Exiv2 library
Requires: %{_lib}exiv2-devel >= 0.21
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%prep
%setup -q -n %{name}-%{version}
%apply_patches
sed -i -e 's#libdir=.*#libdir=${exec_prefix}/%{_lib}#' gexiv2.m4

%build
%configure2_5x --enable-introspection
%make

%install
rm -rf %buildroot
%makeinstall_std LIB=%{_lib}
rm -fr %{buildroot}%{_libdir}/*.la
rm -fr %{buildroot}%{_libdir}/*.a

%find_lang %{name}

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/*.so.%{major}*
%{_libdir}/girepository-1.0/GExiv2-*.typelib
%{python_sitearch}/gi/overrides/GExiv2.*

%files -n %develname
%defattr(-,root,root,-)
%{_includedir}/gexiv2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/vapi/gexiv2.vapi
%{_datadir}/gir-1.0/GExiv2-*.gir

%changelog
* Mon Jun 02 2014 bb <bb> 0.6.1-2pclos2014
- enable gobject for gramps

* Sat Apr 13 2013 Texstar <texstar at gmail.com> 0.6.1-1pclos2013
- 0.6.1
- convert rpm to library package so it will build on 32/64

* Wed Apr 03 2013 Ken <lxgator at gmail.com> 0.6.0-1pclos2012
- 0.6.0

* Mon Dec 06 2010 Texstar <texstar at gmail.com> 0.2.1-1pclos2010
- 0.2.1

* Sun Aug 29 2010 leiche <meisssw01 at aol.com> 0.2.0-1pclos2010
- update

* Wed Jul 07 2010 Texstar <texstgar at gmail.com> 0.1.0-2pclos2010
- fix rpm/synaptic group System/Libraries
- fix post script
- convert to tar.xz

* Tue Jul 06 2010 maik3531 <maik3531 at yahoo.de> 0.1.0-1pclos2010
- initial rpmbuild
